Set client balancer settings
curl --request POST \
--url https://api.gcore.com/cdn/admin/clients/{client_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"is_in": true,
"region_list": [
1,
2
]
}
'import requests
url = "https://api.gcore.com/cdn/admin/clients/{client_id}"
payload = {
"is_in": True,
"region_list": [1, 2]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({is_in: true, region_list: [1, 2]})
};
fetch('https://api.gcore.com/cdn/admin/clients/{client_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Balancer
Set client balancer settings
Set regions that will be used for content delivery for a specific client.
POST
/
cdn
/
admin
/
clients
/
{client_id}
Set client balancer settings
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Client account ID.
Body
application/json
Defines whether regions are used for content delivery for a client or not.
Possible values:
- true - Region is used for content delivery.
- false - Region is not used for content delivery.
List of region IDs.
If you specified regions used for content delivery, the regions IDs list must not contain the ID of the default location handler region.
If you specified regions not used for content delivery, the regions IDs list must contain the ID of the default location handler region.
Response
Successful.
Was this page helpful?